CS::Math::Noise::Model::Cylinder Class Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CS::Math::Noise::Model::Cylinder Class Reference
Models

Model that defines the surface of a cylinder. More...

`#include <cstool/noise/model/cylinder.h>`

List of all members.

## Public Member Functions
| Cylinder ()
| Constructor.
| Cylinder (const CS::Math::Noise::Module::Module &module)
| Constructor.
const CS::Math::Noise::Module::Module & | GetModule () const
| Returns the noise module that is used to generate the output values.
double | GetValue (double angle, double height) const
| Returns the output value from the noise module given the (angle, height) coordinates of the specified input value located on the surface of the cylinder.
void | SetModule (const CS::Math::Noise::Module::Module &module)
| Sets the noise module that is used to generate the output values.

## Detailed Description

Model that defines the surface of a cylinder.

This model returns an output value from a noise module given the coordinates of an input value located on the surface of a cylinder.

To generate an output value, pass the (angle, height) coordinates of an input value to the GetValue() method.

This model is useful for creating:

- seamless textures that can be mapped onto a cylinder

This cylinder has a radius of 1.0 unit and has infinite height. It is oriented along the y axis. Its center is located at the origin.

Definition at line 58 of file cylinder.h.

## Constructor & Destructor Documentation

CS::Math::Noise::Model::Cylinder::Cylinder | ( |  | ) |

Constructor.

CS::Math::Noise::Model::Cylinder::Cylinder | ( | const CS::Math::Noise::Module::Module & | module | ) |

Constructor.

Parameters:

  module | The noise module that is used to generate the output values.

## Member Function Documentation

const CS::Math::Noise::Module::Module& CS::Math::Noise::Model::Cylinder::GetModule | ( |  | ) | const`[inline]`

Returns the noise module that is used to generate the output values.

Returns:
  A reference to the noise module.

Precondition:
  A noise module was passed to the SetModule() method.

Definition at line 78 of file cylinder.h.

double CS::Math::Noise::Model::Cylinder::GetValue | ( | double | angle,
|  | double | height
| ) |  | const

Returns the output value from the noise module given the (angle, height) coordinates of the specified input value located on the surface of the cylinder.

Parameters:

  angle | The angle around the cylinder's center, in degrees.
  height | The height along the y axis.

Returns:
  The output value from the noise module.

Precondition:
  A noise module was passed to the SetModule() method.

This output value is generated by the noise module passed to the SetModule() method.

This cylinder has a radius of 1.0 unit and has infinite height. It is oriented along the y axis. Its center is located at the origin.

void CS::Math::Noise::Model::Cylinder::SetModule | ( | const CS::Math::Noise::Module::Module & | module | ) | `[inline]`

Sets the noise module that is used to generate the output values.

Parameters:

  module | The noise module that is used to generate the output values.

This noise module must exist for the lifetime of this object, until you pass a new noise module to this method.

Definition at line 110 of file cylinder.h.

The documentation for this class was generated from the following file:

- cstool/noise/model/cylinder.h